py_syscolors.d(1m)

NAME
py_syscolors.d - trace Python function flow plus syscalls, in color.

SYNOPSIS
py_syscolors.d { -p PID | -c cmd }

DESCRIPTION
This watches Python function entries and returns, and indents child function calls. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Python provider, which may change as additional features are introduced. Check Python/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # py_syscolors.d

FIELDS

C   CPU-id

PID Process ID

DELTA(us)
    Elapsed time from previous line to this line

FILE
    Filename of the Python program

LINE
    Line number of filename

TYPE
    Type of call (func/syscall)

NAME
    Python function or syscall name

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
py_syscolors.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)